#include<iostream>
#include <stdlib.h>
#include<algorithm>

using namespace std;

int main()
{
	int n,m,i,j;
	cin>>n>>m;
	int druzeljubivost[n],poznanstva[2][m],prijateljstvo[m];
	long long zbir=0;
	for(i=1;i<=n;i++)
	{
		cin>>druzeljubivost[i];
	}
	for(i=1;i<=m;i++)
	{
		cin>>poznanstva[0][i];
		cin>>poznanstva[1][i];
		if((druzeljubivost[poznanstva[0][i]]>=0 && druzeljubivost[poznanstva[1][i]]>=0) || (druzeljubivost[poznanstva[0][i]]<0 && druzeljubivost[poznanstva[1][i]]<0))
		{
			zbir+=abs(druzeljubivost[poznanstva[0][i]]);
			zbir+=abs(druzeljubivost[poznanstva[1][i]]);
		}
		else
		{
			if(abs(druzeljubivost[poznanstva[0][i]])>=abs(druzeljubivost[poznanstva[1][i]]))
			{
				zbir+=abs(druzeljubivost[poznanstva[0][i]]);
			    zbir-=abs(druzeljubivost[poznanstva[1][i]]);
			}
			else
			{
				zbir-=abs(druzeljubivost[poznanstva[0][i]]);
			    zbir+=abs(druzeljubivost[poznanstva[1][i]]);
			}
		}
	}
	cout<<zbir;
}